pfSense - Bug #9382

SNMP Undefined symbol "pf_altq"
03/06/2019 01:59 PM - Jim Pingle

Status: Resolved Start date: 03/06/2019

Priority: Normal Due date:

Assignee: Luiz Souza % Done: 100%

Category: SNMP Estimated time: 0.00 hour

Target version: 250

Affected Version: 250 Affected All
Architecture:

Description
On 2.5.0 snapshots, bsnmpd logs an error message when the pf module is enabled:

Mar 6 14:17:33 snmpd 71442 1lm_load: open /usr/lib/snmp_pf.so: Undefined symbol "pf_alt
q"

Mar 6 14:17:33 snmpd 71442 init dep failed: 13 1.3.6.1.4.1.12325.1.1.1.6 2.112.102
Mar 6 14:17:33 snmpd 71442 error in config file

History

#1 - 03/20/2019 12:56 PM - Luiz Souza
- Status changed from New to Feedback

- % Done changed from 0 to 100

Fixed.

Please test with the next snapshot.

#2 - 03/21/2019 09:48 AM - Jim Pingle
- Status changed from Feedback to Resolved

- Assignee set to Luiz Souza

Looks good now, | no longer see that error in the system log when (re)starting SNMP
